使用中のブランドボイス
APIはこのエラーを409 Conflictで返します。typeはhttps://lingo.dev/docs/api/errors/brand-voice-in-useです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
ブランドボイス<id>は、2つのエンジンに適用されているため削除できません。先にそれらのエンジンへの適用を解除してください。
フィールド#
レスポンスボディには、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
engineCount | integer | null |
例#
json
{
"detail": "Brand voice <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
"id": "<id>",
"engineCount": 2,
"type": "https://lingo.dev/docs/api/errors/brand-voice-in-use",
"status": 409,
"title": "Brand voice in use"
}このエラーを返すエンドポイント#
DELETE /v2/brand-voices/{id}